Page MenuHomePhabricator

Implement MCR revision retrieval interface
Closed, ResolvedPublic

Description

The revision retrieval interface allows all relevant information for a given page revision to be retrieved. The information provided must be sufficient to locate and load all content objects that belong to the revision (slots). Access to revision meta-data such as the edit comment is also covered by this ticket.

The functionality provided is roughly equivalent to the retrieve/read functionality offered by the Revision class. The Revision class should remain a thin layer on top of the new revision retrieval interface, as a legacy proxy.

Design draft: https://www.mediawiki.org/wiki/Multi-Content_Revisions/Revision_Retrieval
See also: Design draft: https://www.mediawiki.org/wiki/Multi-Content_Revisions/Content_Meta-Data

Event Timeline

daniel updated the task description. (Show Details)Aug 24 2017, 2:27 PM
daniel updated the task description. (Show Details)Aug 24 2017, 2:53 PM
daniel moved this task from Inbox to Done on the Multi-Content-Revisions board.Nov 20 2017, 7:41 PM
daniel moved this task from Done to Inbox on the Multi-Content-Revisions board.
thiemowmde triaged this task as Normal priority.Dec 11 2017, 4:04 PM

This is on our workboard and Q3 goal list but https://wikifarm.wmflabs.org/mcr/index.php/Main_Page has it assigned to Adam, I assume that is @Addshore. Is it OK to assign this task?

Restricted Application added a project: User-Addshore. · View Herald TranscriptFeb 8 2018, 11:17 PM

Change 406595 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@master] WIP DNM [MCR] RevisionStore, enable insertions for new schema

https://gerrit.wikimedia.org/r/406595

Abit added a subscriber: Abit.Mar 29 2018, 11:59 PM

Change 416465 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@master] WIP DNM RevisionStore, multi content mode..

https://gerrit.wikimedia.org/r/416465

daniel moved this task from Next to Done on the Multi-Content-Revisions board.May 7 2018, 10:38 AM
daniel claimed this task.May 7 2018, 10:50 AM

Change 422443 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] MCR: RevisionStore: test old and intermediate schema.

https://gerrit.wikimedia.org/r/422443

Change 425519 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] [MCR] [DNM] Set MCR migration stage to MIGRATION_WRITE_BOTH.

https://gerrit.wikimedia.org/r/425519

Change 432053 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Prepare newNullRevision for MCR.

https://gerrit.wikimedia.org/r/432053

Change 422443 abandoned by Daniel Kinzler:
MCR: RevisionStore: test old and intermediate schema.

Reason:
replaced by I239572f75bebbc9c731a3e3860c4eff179dc15e4

https://gerrit.wikimedia.org/r/422443

Change 406595 merged by jenkins-bot:
[mediawiki/core@master] [MCR] RevisionStore, enable insertions for new schema

https://gerrit.wikimedia.org/r/406595

Change 432053 merged by jenkins-bot:
[mediawiki/core@master] Prepare newNullRevision for MCR.

https://gerrit.wikimedia.org/r/432053

Change 416465 merged by jenkins-bot:
[mediawiki/core@master] MCR RevisionStore, multi content mode..

https://gerrit.wikimedia.org/r/416465

daniel closed this task as Resolved.Jun 14 2018, 3:58 PM

This is now implemented. Note however that the new features are still disabled per default.

At some point, we'll still have to change $wgMultiContentRevisionSchemaMigrationStage to MIGRATION_NEW.

Change 455630 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Fix undeletion write-both/read-old mode.

https://gerrit.wikimedia.org/r/455630

Change 455630 merged by jenkins-bot:
[mediawiki/core@master] Fix undeletion write-both/read-old mode.

https://gerrit.wikimedia.org/r/455630